﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GrapeCity.Windows.SpreadSheet.UI;
using GrapeCity.Windows.SpreadSheet.Data;
namespace CustomCellSpreadSL_CSharp
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.gcSpreadSheet1.Sheets.Clear();
            this.gcSpreadSheet1.Sheets.Add(new MyWorksheet());
            var sheet = this.gcSpreadSheet1.ActiveSheet;
            sheet.Rows[0].Height = 80;
        }
    }
    public class ControlDrawingObject : CustomDrawingObject
    {
        private Control _rootElement;
        public ControlDrawingObject(int row, int col, Control control) : base(row, col) { _rootElement = control; this.ShowDrawingObjectOnly = true; }
        public override FrameworkElement RootElement
        {
            get { _rootElement.Margin = new Thickness(1); return _rootElement; }
        }
    }

    public class MyWorksheet : Worksheet
    {        
        public bool DrawingObjectVisible { get; set; }
        public override DrawingObject[] GetDrawingObject(int row, int column, int rowCount, int columnCount)
        {
            if (row != 0 || column != 0) return base.GetDrawingObject(row, column, rowCount, columnCount);       
            DrawingObject drawobj;
            ListBox mylist = new ListBox();
            mylist.ItemsSource = new String[] { "One", "Two", "Three", "Four" };
            mylist.SelectionMode = SelectionMode.Single;        
            drawobj = new ControlDrawingObject(row, column, mylist);
            return new DrawingObject[] { drawobj };
        }
        
    }
}

